pub use ::ffi::*;

use crate::util::{push_gc_userdata, WrappedFailure};

#[inline]
pub unsafe fn mlua_pusherror(state: *mut lua_State, err: crate::Error) -> crate::Result<()> {
    push_gc_userdata(state, WrappedFailure::Error(err), false)
}
